// java wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLExtensionManager.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkOpenGLExtensionManager_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkOpenGLExtensionManager",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  const char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetRenderWindow_12(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  vtkRenderWindow  *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_SetRenderWindow_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkOpenGLExtensionManager *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_Update_14(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetExtensionsString_15(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExtensionsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_ExtensionSupported_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtensionSupported(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadExtension_17(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadSupportedExtension_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->LoadSupportedExtension(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadCorePromotedExtension_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadCorePromotedExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_LoadAsARBExtension_110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->LoadAsARBExtension(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverVersionMajor_111(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverVersionMajor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverVersionMinor_112(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverVersionMinor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverVersionPatch_113(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverVersionPatch();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLVersionMajor_114(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLVersionMajor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLVersionMinor_115(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLVersionMinor();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLVersionPatch_116(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  int      temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLVersionPatch();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverIsATI_117(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverIsATI();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverIsNvidia_118(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverIsNvidia();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverIsIntel_119(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverIsIntel();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverIsMesa_120(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverIsMesa();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverIsMicrosoft_121(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverIsMicrosoft();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionIs_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionIs(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionIs_123(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionIs(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionIs_124(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionIs(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionAtLeast_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  bool   temp20;
  temp0 = id0;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionAtLeast(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionAtLeast_126(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionAtLeast(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverVersionAtLeast_127(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverVersionAtLeast(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLVersionIs_128(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLVersionIs(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLVersionIs_129(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkOpenGLExtensionManager *op;
  int      temp0;
  int      temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLVersionIs(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLRendererIs_130(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLRendererIs(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLRendererHas_131(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLRendererHas(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLRendererHasToken_132(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLRendererHasToken(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_DriverGLRendererIsOSMesa_133(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  bool   temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DriverGLRendererIsOSMesa();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLVendor_134(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  const char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLVendor();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLVersion_135(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  const char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLVersion();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetDriverGLRenderer_136(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;
  const char    *temp20;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDriverGLRenderer();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkOpenGLExtensionManager_GetIgnoreDriverBugs_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkOpenGLExtensionManager *op;
  char    *temp0;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIgnoreDriverBugs(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_SetIgnoreDriverBugs_138(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkOpenGLExtensionManager *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIgnoreDriverBugs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_IgnoreDriverBugsOn_139(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnoreDriverBugsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkOpenGLExtensionManager_IgnoreDriverBugsOff_140(JNIEnv *env, jobject obj)
{
  vtkOpenGLExtensionManager *op;

  op = (vtkOpenGLExtensionManager *)vtkJavaGetPointerFromObject(env,obj);
  op->IgnoreDriverBugsOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkOpenGLExtensionManager_VTKInit(JNIEnv *, jobject)
{
  vtkOpenGLExtensionManager *aNewOne = vtkOpenGLExtensionManager::New();
  return (jlong)(size_t)(void*)aNewOne;
}
