// python wrapper for vtkDendrogramItem
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVector.h"
#include "vtkStdString.h"
#include "vtkDendrogramItem.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkDendrogramItem(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkDendrogramItemNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContextItemNew
extern "C" { PyObject *PyVTKClass_vtkContextItemNew(const char *); }
#define DECLARED_PyVTKClass_vtkContextItemNew
#endif

static const char **PyvtkDendrogramItem_Doc();


static PyObject *
PyvtkDendrogramItem_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkDendrogramItem::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkDendrogramItem::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkDendrogramItem *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkDendrogramItem::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkDendrogramItem *tempr = vtkDendrogramItem::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTree"))
    {
    if (ap.IsBound())
      {
      op->SetTree(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetTree() :
      op->vtkDendrogramItem::GetTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_CollapseToNumberOfLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CollapseToNumberOfLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->CollapseToNumberOfLeafNodes(temp0);
      }
    else
      {
      op->vtkDendrogramItem::CollapseToNumberOfLeafNodes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetPrunedTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrunedTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetPrunedTree() :
      op->vtkDendrogramItem::GetPrunedTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetColorArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArray(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetColorArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetExtendLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetExtendLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetExtendLeafNodes(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetExtendLeafNodes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetExtendLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetExtendLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetExtendLeafNodes() :
      op->vtkDendrogramItem::GetExtendLeafNodes());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_ExtendLeafNodesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ExtendLeafNodesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ExtendLeafNodesOn();
      }
    else
      {
      op->vtkDendrogramItem::ExtendLeafNodesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_ExtendLeafNodesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ExtendLeafNodesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ExtendLeafNodesOff();
      }
    else
      {
      op->vtkDendrogramItem::ExtendLeafNodesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetOrientation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetOrientation() :
      op->vtkDendrogramItem::GetOrientation());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetAngleForOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAngleForOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    double tempr = (ap.IsBound() ?
      op->GetAngleForOrientation(temp0) :
      op->vtkDendrogramItem::GetAngleForOrientation(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetTextAngleForOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTextAngleForOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    double tempr = (ap.IsBound() ?
      op->GetTextAngleForOrientation(temp0) :
      op->vtkDendrogramItem::GetTextAngleForOrientation(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetDrawLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDrawLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDrawLabels(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetDrawLabels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetDrawLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDrawLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetDrawLabels() :
      op->vtkDendrogramItem::GetDrawLabels());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_DrawLabelsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DrawLabelsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DrawLabelsOn();
      }
    else
      {
      op->vtkDendrogramItem::DrawLabelsOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_DrawLabelsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DrawLabelsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DrawLabelsOff();
      }
    else
      {
      op->vtkDendrogramItem::DrawLabelsOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetPosition_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  float temp0;
  float temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0, temp1);
      }
    else
      {
      op->vtkDendrogramItem::SetPosition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkDendrogramItem_SetPosition_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  float temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetPosition(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkDendrogramItem_SetPosition_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkVector2f *temp0 = NULL;
  PyObject *pobj0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkVector2f"))
    {
    if (ap.IsBound())
      {
      op->SetPosition(*temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetPosition(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj0);

  return result;
}

static PyMethodDef PyvtkDendrogramItem_SetPosition_Methods[] = {
  {NULL, PyvtkDendrogramItem_SetPosition_s2, METH_VARARGS,
   (char*)"@O *f"},
  {NULL, PyvtkDendrogramItem_SetPosition_s3, METH_VARARGS,
   (char*)"@O &vtkVector2f"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkDendrogramItem_SetPosition(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkDendrogramItem_SetPosition_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkDendrogramItem_SetPosition_s1(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetPosition");
  return NULL;
}



static PyObject *
PyvtkDendrogramItem_GetPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float *tempr = (ap.IsBound() ?
      op->GetPosition() :
      op->vtkDendrogramItem::GetPosition());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetPositionVector(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPositionVector");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkVector2f tempr = (ap.IsBound() ?
      op->GetPositionVector() :
      op->vtkDendrogramItem::GetPositionVector());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVector2f");
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetLeafSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLeafSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetLeafSpacing() :
      op->vtkDendrogramItem::GetLeafSpacing());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetLeafSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLeafSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLeafSpacing(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetLeafSpacing(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_PrepareToPaint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrepareToPaint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkContext2D *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkContext2D"))
    {
    if (ap.IsBound())
      {
      op->PrepareToPaint(temp0);
      }
    else
      {
      op->vtkDendrogramItem::PrepareToPaint(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  double temp0[4];
  double save0[4];
  const int size0 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkDendrogramItem::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_ComputeLabelWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ComputeLabelWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkContext2D *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkContext2D"))
    {
    if (ap.IsBound())
      {
      op->ComputeLabelWidth(temp0);
      }
    else
      {
      op->vtkDendrogramItem::ComputeLabelWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetLabelWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLabelWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetLabelWidth() :
      op->vtkDendrogramItem::GetLabelWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetPositionOfVertex(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPositionOfVertex");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  std::string temp0;
  double temp1[2];
  double save1[2];
  const int size1 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetArray(temp1, size1))
    {
    ap.SaveArray(temp1, save1, size1);

    bool tempr = (ap.IsBound() ?
      op->GetPositionOfVertex(temp0, temp1) :
      op->vtkDendrogramItem::GetPositionOfVertex(temp0, temp1));

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_Paint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Paint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkContext2D *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkContext2D"))
    {
    bool tempr = (ap.IsBound() ?
      op->Paint(temp0) :
      op->vtkDendrogramItem::Paint(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetLineWidth() :
      op->vtkDendrogramItem::GetLineWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  float temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLineWidth(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetLineWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetDisplayNumberOfCollapsedLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDisplayNumberOfCollapsedLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDisplayNumberOfCollapsedLeafNodes(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetDisplayNumberOfCollapsedLeafNodes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetDisplayNumberOfCollapsedLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDisplayNumberOfCollapsedLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetDisplayNumberOfCollapsedLeafNodes() :
      op->vtkDendrogramItem::GetDisplayNumberOfCollapsedLeafNodes());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_DisplayNumberOfCollapsedLeafNodesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DisplayNumberOfCollapsedLeafNodesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DisplayNumberOfCollapsedLeafNodesOn();
      }
    else
      {
      op->vtkDendrogramItem::DisplayNumberOfCollapsedLeafNodesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_DisplayNumberOfCollapsedLeafNodesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DisplayNumberOfCollapsedLeafNodesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DisplayNumberOfCollapsedLeafNodesOff();
      }
    else
      {
      op->vtkDendrogramItem::DisplayNumberOfCollapsedLeafNodesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetDistanceArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDistanceArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->GetDistanceArrayName() :
      op->vtkDendrogramItem::GetDistanceArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetDistanceArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDistanceArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDistanceArrayName(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetDistanceArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_GetVertexNameArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVertexNameArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->GetVertexNameArrayName() :
      op->vtkDendrogramItem::GetVertexNameArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDendrogramItem_SetVertexNameArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVertexNameArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDendrogramItem *op = static_cast<vtkDendrogramItem *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVertexNameArrayName(temp0);
      }
    else
      {
      op->vtkDendrogramItem::SetVertexNameArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkDendrogramItem_Methods[] = {
  {(char*)"GetClassName", PyvtkDendrogramItem_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkDendrogramItem_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkDendrogramItem_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkDendrogramItem\nC++: vtkDendrogramItem *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkDendrogramItem_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDendrogramItem\nC++: vtkDendrogramItem *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetTree", PyvtkDendrogramItem_SetTree, METH_VARARGS,
   (char*)"V.SetTree(vtkTree)\nC++: virtual void SetTree(vtkTree *tree)\n\nSet the tree that this item draws.  Note that this tree's vertex\ndata must contain a vtkStringArray called \"node name\".  The\nvtkNewickTreeReader automatically creates this required array for\nyou.\n"},
  {(char*)"GetTree", PyvtkDendrogramItem_GetTree, METH_VARARGS,
   (char*)"V.GetTree() -> vtkTree\nC++: vtkTree *GetTree()\n\nGet the tree that this item draws.\n"},
  {(char*)"CollapseToNumberOfLeafNodes", PyvtkDendrogramItem_CollapseToNumberOfLeafNodes, METH_VARARGS,
   (char*)"V.CollapseToNumberOfLeafNodes(int)\nC++: void CollapseToNumberOfLeafNodes(unsigned int n)\n\nCollapse subtrees until there are only n leaf nodes left in the\ntree. The leaf nodes that remain are those that are closest to\nthe root. Any subtrees that were collapsed prior to this function\nbeing called may be re-expanded.\n"},
  {(char*)"GetPrunedTree", PyvtkDendrogramItem_GetPrunedTree, METH_VARARGS,
   (char*)"V.GetPrunedTree() -> vtkTree\nC++: vtkTree *GetPrunedTree()\n\nGet the collapsed tree\n"},
  {(char*)"SetColorArray", PyvtkDendrogramItem_SetColorArray, METH_VARARGS,
   (char*)"V.SetColorArray(string)\nC++: void SetColorArray(const char *arrayName)\n\nIndicate which array within the Tree's VertexData should be used\nto color the tree.  The specified array must be a vtkDoubleArray.\nBy default, the tree will be drawn in black.\n"},
  {(char*)"SetExtendLeafNodes", PyvtkDendrogramItem_SetExtendLeafNodes, METH_VARARGS,
   (char*)"V.SetExtendLeafNodes(bool)\nC++: void SetExtendLeafNodes(bool a)\n\nGet/set whether or not leaf nodes should be extended so that they\nall line up vertically.  The default is to NOT extend leaf nodes.\n When extending leaf nodes, the extra length is drawn in grey so\nas to distinguish it from the actual length of the leaf node.\n"},
  {(char*)"GetExtendLeafNodes", PyvtkDendrogramItem_GetExtendLeafNodes, METH_VARARGS,
   (char*)"V.GetExtendLeafNodes() -> bool\nC++: bool GetExtendLeafNodes()\n\nGet/set whether or not leaf nodes should be extended so that they\nall line up vertically.  The default is to NOT extend leaf nodes.\n When extending leaf nodes, the extra length is drawn in grey so\nas to distinguish it from the actual length of the leaf node.\n"},
  {(char*)"ExtendLeafNodesOn", PyvtkDendrogramItem_ExtendLeafNodesOn, METH_VARARGS,
   (char*)"V.ExtendLeafNodesOn()\nC++: void ExtendLeafNodesOn()\n\nGet/set whether or not leaf nodes should be extended so that they\nall line up vertically.  The default is to NOT extend leaf nodes.\n When extending leaf nodes, the extra length is drawn in grey so\nas to distinguish it from the actual length of the leaf node.\n"},
  {(char*)"ExtendLeafNodesOff", PyvtkDendrogramItem_ExtendLeafNodesOff, METH_VARARGS,
   (char*)"V.ExtendLeafNodesOff()\nC++: void ExtendLeafNodesOff()\n\nGet/set whether or not leaf nodes should be extended so that they\nall line up vertically.  The default is to NOT extend leaf nodes.\n When extending leaf nodes, the extra length is drawn in grey so\nas to distinguish it from the actual length of the leaf node.\n"},
  {(char*)"SetOrientation", PyvtkDendrogramItem_SetOrientation, METH_VARARGS,
   (char*)"V.SetOrientation(int)\nC++: void SetOrientation(int orientation)\n\nSet which way the tree should face within the visualization.  The\ndefault is for the tree to be drawn left to right.\n"},
  {(char*)"GetOrientation", PyvtkDendrogramItem_GetOrientation, METH_VARARGS,
   (char*)"V.GetOrientation() -> int\nC++: int GetOrientation()\n\nGet the current tree orientation.\n"},
  {(char*)"GetAngleForOrientation", PyvtkDendrogramItem_GetAngleForOrientation, METH_VARARGS,
   (char*)"V.GetAngleForOrientation(int) -> float\nC++: double GetAngleForOrientation(int orientation)\n\nGet the rotation angle (in degrees) that corresponds to the given\ntree orientation.  For the default orientation (LEFT_TO_RIGHT),\nthis is 90 degrees.\n"},
  {(char*)"GetTextAngleForOrientation", PyvtkDendrogramItem_GetTextAngleForOrientation, METH_VARARGS,
   (char*)"V.GetTextAngleForOrientation(int) -> float\nC++: double GetTextAngleForOrientation(int orientation)\n\nGet the angle that vertex labels should be rotated for the\ncorreponding tree orientation.  For the default orientation\n(LEFT_TO_RIGHT), this is 0 degrees.\n"},
  {(char*)"SetDrawLabels", PyvtkDendrogramItem_SetDrawLabels, METH_VARARGS,
   (char*)"V.SetDrawLabels(bool)\nC++: void SetDrawLabels(bool a)\n\nGet/Set whether or not leaf nodes should be labeled by this\nclass. Default is true.\n"},
  {(char*)"GetDrawLabels", PyvtkDendrogramItem_GetDrawLabels, METH_VARARGS,
   (char*)"V.GetDrawLabels() -> bool\nC++: bool GetDrawLabels()\n\nGet/Set whether or not leaf nodes should be labeled by this\nclass. Default is true.\n"},
  {(char*)"DrawLabelsOn", PyvtkDendrogramItem_DrawLabelsOn, METH_VARARGS,
   (char*)"V.DrawLabelsOn()\nC++: void DrawLabelsOn()\n\nGet/Set whether or not leaf nodes should be labeled by this\nclass. Default is true.\n"},
  {(char*)"DrawLabelsOff", PyvtkDendrogramItem_DrawLabelsOff, METH_VARARGS,
   (char*)"V.DrawLabelsOff()\nC++: void DrawLabelsOff()\n\nGet/Set whether or not leaf nodes should be labeled by this\nclass. Default is true.\n"},
  {(char*)"SetPosition", PyvtkDendrogramItem_SetPosition, METH_VARARGS,
   (char*)"V.SetPosition(float, float)\nC++: void SetPosition(float, float)\nV.SetPosition((float, float))\nC++: void SetPosition(float a[2])\nV.SetPosition(vtkVector2f)\nC++: void SetPosition(const vtkVector2f &pos)\n\n"},
  {(char*)"GetPosition", PyvtkDendrogramItem_GetPosition, METH_VARARGS,
   (char*)"V.GetPosition() -> (float, float)\nC++: float *GetPosition()\n\n"},
  {(char*)"GetPositionVector", PyvtkDendrogramItem_GetPositionVector, METH_VARARGS,
   (char*)"V.GetPositionVector() -> vtkVector2f\nC++: vtkVector2f GetPositionVector()\n\nGet position of the dendrogram.\n"},
  {(char*)"GetLeafSpacing", PyvtkDendrogramItem_GetLeafSpacing, METH_VARARGS,
   (char*)"V.GetLeafSpacing() -> float\nC++: double GetLeafSpacing()\n\nGet/Set the spacing between the leaf nodes in our dendrogram.\nDefault is 18 pixels.\n"},
  {(char*)"SetLeafSpacing", PyvtkDendrogramItem_SetLeafSpacing, METH_VARARGS,
   (char*)"V.SetLeafSpacing(float)\nC++: void SetLeafSpacing(double a)\n\nGet/Set the spacing between the leaf nodes in our dendrogram.\nDefault is 18 pixels.\n"},
  {(char*)"PrepareToPaint", PyvtkDendrogramItem_PrepareToPaint, METH_VARARGS,
   (char*)"V.PrepareToPaint(vtkContext2D)\nC++: void PrepareToPaint(vtkContext2D *painter)\n\nThis function calls RebuildBuffers() if necessary. Once\nPrepareToPaint() has been called, GetBounds() is guaranteed to\nprovide useful information.\n"},
  {(char*)"GetBounds", PyvtkDendrogramItem_GetBounds, METH_VARARGS,
   (char*)"V.GetBounds([float, float, float, float])\nC++: virtual void GetBounds(double bounds[4])\n\nGet the bounds for this item as (Xmin,Xmax,Ymin,Ymax). These\nbounds are only guaranteed to be accurate after Paint() or\nPrepareToPaint() has been called.\n"},
  {(char*)"ComputeLabelWidth", PyvtkDendrogramItem_ComputeLabelWidth, METH_VARARGS,
   (char*)"V.ComputeLabelWidth(vtkContext2D)\nC++: void ComputeLabelWidth(vtkContext2D *painter)\n\nCompute the width of the longest leaf node label.\n"},
  {(char*)"GetLabelWidth", PyvtkDendrogramItem_GetLabelWidth, METH_VARARGS,
   (char*)"V.GetLabelWidth() -> float\nC++: float GetLabelWidth()\n\nGet the width of the longest leaf node label.\n"},
  {(char*)"GetPositionOfVertex", PyvtkDendrogramItem_GetPositionOfVertex, METH_VARARGS,
   (char*)"V.GetPositionOfVertex(string, [float, float]) -> bool\nC++: bool GetPositionOfVertex(std::string vertexName,\n    double position[2])\n\nFind the position of the vertex with the specified name.  Store\nthis information in the passed array.  Returns true if the vertex\nwas found, false otherwise.\n"},
  {(char*)"Paint", PyvtkDendrogramItem_Paint, METH_VARARGS,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint(vtkContext2D *painter)\n\nPaints the input tree as a dendrogram.\n"},
  {(char*)"GetLineWidth", PyvtkDendrogramItem_GetLineWidth, METH_VARARGS,
   (char*)"V.GetLineWidth() -> float\nC++: float GetLineWidth()\n\nGet/Set how wide the edges of this dendrogram should be.  Default\nis one pixel.\n"},
  {(char*)"SetLineWidth", PyvtkDendrogramItem_SetLineWidth, METH_VARARGS,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth(float a)\n\nGet/Set how wide the edges of this dendrogram should be.  Default\nis one pixel.\n"},
  {(char*)"SetDisplayNumberOfCollapsedLeafNodes", PyvtkDendrogramItem_SetDisplayNumberOfCollapsedLeafNodes, METH_VARARGS,
   (char*)"V.SetDisplayNumberOfCollapsedLeafNodes(bool)\nC++: void SetDisplayNumberOfCollapsedLeafNodes(bool a)\n\nGet/set whether or not the number of collapsed leaf nodes should\nbe written inside the triangle representing a collapsed subtree. \nDefault is true.\n"},
  {(char*)"GetDisplayNumberOfCollapsedLeafNodes", PyvtkDendrogramItem_GetDisplayNumberOfCollapsedLeafNodes, METH_VARARGS,
   (char*)"V.GetDisplayNumberOfCollapsedLeafNodes() -> bool\nC++: bool GetDisplayNumberOfCollapsedLeafNodes()\n\nGet/set whether or not the number of collapsed leaf nodes should\nbe written inside the triangle representing a collapsed subtree. \nDefault is true.\n"},
  {(char*)"DisplayNumberOfCollapsedLeafNodesOn", PyvtkDendrogramItem_DisplayNumberOfCollapsedLeafNodesOn, METH_VARARGS,
   (char*)"V.DisplayNumberOfCollapsedLeafNodesOn()\nC++: void DisplayNumberOfCollapsedLeafNodesOn()\n\nGet/set whether or not the number of collapsed leaf nodes should\nbe written inside the triangle representing a collapsed subtree. \nDefault is true.\n"},
  {(char*)"DisplayNumberOfCollapsedLeafNodesOff", PyvtkDendrogramItem_DisplayNumberOfCollapsedLeafNodesOff, METH_VARARGS,
   (char*)"V.DisplayNumberOfCollapsedLeafNodesOff()\nC++: void DisplayNumberOfCollapsedLeafNodesOff()\n\nGet/set whether or not the number of collapsed leaf nodes should\nbe written inside the triangle representing a collapsed subtree. \nDefault is true.\n"},
  {(char*)"GetDistanceArrayName", PyvtkDendrogramItem_GetDistanceArrayName, METH_VARARGS,
   (char*)"V.GetDistanceArrayName() -> string\nC++: vtkStdString GetDistanceArrayName()\n\nGet/Set the name of the array that specifies the distance of each\nvertex from the root (NOT the vertex's parent).  This array\nshould be a part of the input tree's VertexData.  By default,\nthis value is \"node weight\", which is the name of the array\ncreated by vtkNewickTreeReader.\n"},
  {(char*)"SetDistanceArrayName", PyvtkDendrogramItem_SetDistanceArrayName, METH_VARARGS,
   (char*)"V.SetDistanceArrayName(string)\nC++: void SetDistanceArrayName(vtkStdString a)\n\nGet/Set the name of the array that specifies the distance of each\nvertex from the root (NOT the vertex's parent).  This array\nshould be a part of the input tree's VertexData.  By default,\nthis value is \"node weight\", which is the name of the array\ncreated by vtkNewickTreeReader.\n"},
  {(char*)"GetVertexNameArrayName", PyvtkDendrogramItem_GetVertexNameArrayName, METH_VARARGS,
   (char*)"V.GetVertexNameArrayName() -> string\nC++: vtkStdString GetVertexNameArrayName()\n\nGet/Set the name of a vtkStringArray that specifies the names of\nthe vertices of the input tree.  This array should be a part of\nthe input tree's VertexData.  By default, this value is \"node\nname\", which is the name of the array created by\nvtkNewickTreeReader.\n"},
  {(char*)"SetVertexNameArrayName", PyvtkDendrogramItem_SetVertexNameArrayName, METH_VARARGS,
   (char*)"V.SetVertexNameArrayName(string)\nC++: void SetVertexNameArrayName(vtkStdString a)\n\nGet/Set the name of a vtkStringArray that specifies the names of\nthe vertices of the input tree.  This array should be a part of\nthe input tree's VertexData.  By default, this value is \"node\nname\", which is the name of the array created by\nvtkNewickTreeReader.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkDendrogramItem_StaticNew()
{
  return vtkDendrogramItem::New();
}

PyObject *PyVTKClass_vtkDendrogramItemNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkDendrogramItem_StaticNew,
    PyvtkDendrogramItem_Methods,
    "vtkDendrogramItem", modulename,
    NULL, NULL,
    PyvtkDendrogramItem_Doc(),
    PyVTKClass_vtkContextItemNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"LEFT_TO_RIGHT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"UP_TO_DOWN", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"RIGHT_TO_LEFT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"DOWN_TO_UP", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkDendrogramItem_Doc()
{
  static const char *docstring[] = {
    "vtkDendrogramItem - A 2D graphics item for rendering a tree as\n\n",
    "Superclass: vtkContextItem\n\n",
    "Draw a tree as a dendrogram The input tree's vertex data must contain\nat least two arrays. The first required array is a vtkStringArray\ncalled \"node name\". This array is used to label the leaf nodes of the\ntree. The second required array is a scalar array called \"node\nweight\". This array is used by vtkTreeLayoutStrategy to set any\nparticular node's distance from the root of the tree.\n\nThe vtkNewic",
    "kTreeReader automatically initializes both of these\nrequired arrays in its output tree.\n\n.SEE ALSO vtkTree vtkNewickTreeReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkDendrogramItem(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkDendrogramItemNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkDendrogramItem", o) != 0)
    {
    Py_DECREF(o);
    }

}

