// python wrapper for vtkGeoImageNode
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGeoImageNode.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoImageNode(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkGeoImageNodeNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkGeoTreeNodeNew
extern "C" { PyObject *PyVTKClass_vtkGeoTreeNodeNew(const char *); }
#define DECLARED_PyVTKClass_vtkGeoTreeNodeNew
#endif

static const char **PyvtkGeoImageNode_Doc();


static PyObject *
PyvtkGeoImageNode_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGeoImageNode::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoImageNode::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGeoImageNode *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoImageNode::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGeoImageNode *tempr = vtkGeoImageNode::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_GetChild(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChild");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkGeoImageNode *tempr = (ap.IsBound() ?
      op->GetChild(temp0) :
      op->vtkGeoImageNode::GetChild(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_GetParent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetParent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGeoImageNode *tempr = (ap.IsBound() ?
      op->GetParent() :
      op->vtkGeoImageNode::GetParent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_GetImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageData *tempr = (ap.IsBound() ?
      op->GetImage() :
      op->vtkGeoImageNode::GetImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_SetImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  vtkImageData *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkImageData"))
    {
    if (ap.IsBound())
      {
      op->SetImage(temp0);
      }
    else
      {
      op->vtkGeoImageNode::SetImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_GetTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTexture *tempr = (ap.IsBound() ?
      op->GetTexture() :
      op->vtkGeoImageNode::GetTexture());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_SetTexture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTexture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  vtkTexture *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTexture"))
    {
    if (ap.IsBound())
      {
      op->SetTexture(temp0);
      }
    else
      {
      op->vtkGeoImageNode::SetTexture(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_CropImageForTile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CropImageForTile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  vtkImageData *temp0 = NULL;
  double *temp1 = NULL;
  double *save1 = NULL;
  double small1[8];
  int size1 = 0;
  char *temp2 = 0;
  PyObject *result = NULL;

  if (op)
    {
    size1 = ap.GetArgSize(1);
    temp1 = small1;
    if (size1 > 4)
      {
      temp1 = new double[2*size1];
      }
    save1 = &temp1[size1];
    }

  if (op && ap.CheckArgCount(2, 3) &&
      ap.GetVTKObject(temp0, "vtkImageData") &&
      ap.GetArray(temp1, size1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp2)))
    {
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      op->CropImageForTile(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGeoImageNode::CropImageForTile(temp0, temp1, temp2);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  if (temp1 && temp1 != small1)
    {
    delete [] temp1;
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_LoadAnImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadAnImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->LoadAnImage(temp0);
      }
    else
      {
      op->vtkGeoImageNode::LoadAnImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_ShallowCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShallowCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  vtkGeoTreeNode *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
    {
    if (ap.IsBound())
      {
      op->ShallowCopy(temp0);
      }
    else
      {
      op->vtkGeoImageNode::ShallowCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  vtkGeoTreeNode *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkGeoTreeNode"))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0);
      }
    else
      {
      op->vtkGeoImageNode::DeepCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_HasData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "HasData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->HasData() :
      op->vtkGeoImageNode::HasData());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGeoImageNode_DeleteData(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeleteData");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoImageNode *op = static_cast<vtkGeoImageNode *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->DeleteData();
      }
    else
      {
      op->vtkGeoImageNode::DeleteData();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGeoImageNode_Methods[] = {
  {(char*)"GetClassName", PyvtkGeoImageNode_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGeoImageNode_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGeoImageNode_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkGeoImageNode\nC++: vtkGeoImageNode *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGeoImageNode_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoImageNode\nC++: vtkGeoImageNode *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetChild", PyvtkGeoImageNode_GetChild, METH_VARARGS,
   (char*)"V.GetChild(int) -> vtkGeoImageNode\nC++: vtkGeoImageNode *GetChild(int idx)\n\nEvery subclass implements these methods returning the specific\ntype. This is easier than templating.\n"},
  {(char*)"GetParent", PyvtkGeoImageNode_GetParent, METH_VARARGS,
   (char*)"V.GetParent() -> vtkGeoImageNode\nC++: vtkGeoImageNode *GetParent()\n\nEvery subclass implements these methods returning the specific\ntype. This is easier than templating.\n"},
  {(char*)"GetImage", PyvtkGeoImageNode_GetImage, METH_VARARGS,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage()\n\nGet the image tile.\n"},
  {(char*)"SetImage", PyvtkGeoImageNode_SetImage, METH_VARARGS,
   (char*)"V.SetImage(vtkImageData)\nC++: void SetImage(vtkImageData *image)\n\nGet the image tile.\n"},
  {(char*)"GetTexture", PyvtkGeoImageNode_GetTexture, METH_VARARGS,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture()\n\nGet the image tile.\n"},
  {(char*)"SetTexture", PyvtkGeoImageNode_SetTexture, METH_VARARGS,
   (char*)"V.SetTexture(vtkTexture)\nC++: void SetTexture(vtkTexture *texture)\n\nGet the image tile.\n"},
  {(char*)"CropImageForTile", PyvtkGeoImageNode_CropImageForTile, METH_VARARGS,
   (char*)"V.CropImageForTile(vtkImageData, [float, ...], string)\nC++: void CropImageForTile(vtkImageData *image,\n    double *imageLonLatExt, const char *prefix=0)\n\nThis crops the image as small as possible while still covering\nthe patch.  The Longitude Latitude range may get bigger to\nreflect the actual size of the image. If prefix is specified,\nwrites the tile to that location.\n"},
  {(char*)"LoadAnImage", PyvtkGeoImageNode_LoadAnImage, METH_VARARGS,
   (char*)"V.LoadAnImage(string)\nC++: void LoadAnImage(const char *prefix)\n\nThis loads the image from a tile database at the specified\nlocation.\n"},
  {(char*)"ShallowCopy", PyvtkGeoImageNode_ShallowCopy, METH_VARARGS,
   (char*)"V.ShallowCopy(vtkGeoTreeNode)\nC++: virtual void ShallowCopy(vtkGeoTreeNode *src)\n\nShallow and Deep copy.\n"},
  {(char*)"DeepCopy", PyvtkGeoImageNode_DeepCopy, METH_VARARGS,
   (char*)"V.DeepCopy(vtkGeoTreeNode)\nC++: virtual void DeepCopy(vtkGeoTreeNode *src)\n\nShallow and Deep copy.\n"},
  {(char*)"HasData", PyvtkGeoImageNode_HasData, METH_VARARGS,
   (char*)"V.HasData() -> bool\nC++: virtual bool HasData()\n\n"},
  {(char*)"DeleteData", PyvtkGeoImageNode_DeleteData, METH_VARARGS,
   (char*)"V.DeleteData()\nC++: virtual void DeleteData()\n\nDeletes the data associated with the node to make this an \"empty\"\nnode. This is performed when the node has been unused for a\ncertain amount of time.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGeoImageNode_StaticNew()
{
  return vtkGeoImageNode::New();
}

PyObject *PyVTKClass_vtkGeoImageNodeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGeoImageNode_StaticNew,
    PyvtkGeoImageNode_Methods,
    "vtkGeoImageNode", modulename,
    NULL, NULL,
    PyvtkGeoImageNode_Doc(),
    PyVTKClass_vtkGeoTreeNodeNew(modulename));
  return cls;
}

const char **PyvtkGeoImageNode_Doc()
{
  static const char *docstring[] = {
    "vtkGeoImageNode - A node in a multi-resolution image tree.\n\n",
    "Superclass: vtkGeoTreeNode\n\n",
    "vtkGeoImageNode contains an image tile in a multi-resolution image\ntree, along with metadata about that image's extents.\n\nSee Also:\n\nvtkGeoTreeNode vtkGeoTerrainNode\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGeoImageNode(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGeoImageNodeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGeoImageNode", o) != 0)
    {
    Py_DECREF(o);
    }

}

