// python wrapper for vtkHeatmapItem
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVector.h"
#include "vtkStdString.h"
#include "vtkHeatmapItem.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkHeatmapItem(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkHeatmapItemNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContextItemNew
extern "C" { PyObject *PyVTKClass_vtkContextItemNew(const char *); }
#define DECLARED_PyVTKClass_vtkContextItemNew
#endif

static const char **PyvtkHeatmapItem_Doc();


static PyObject *
PyvtkHeatmapItem_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkHeatmapItem::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkHeatmapItem::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkHeatmapItem *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkHeatmapItem::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkHeatmapItem *tempr = vtkHeatmapItem::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  vtkTable *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTable"))
    {
    if (ap.IsBound())
      {
      op->SetTable(temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetTable() :
      op->vtkHeatmapItem::GetTable());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetOrientation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetOrientation() :
      op->vtkHeatmapItem::GetOrientation());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetTextAngleForOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTextAngleForOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    double tempr = (ap.IsBound() ?
      op->GetTextAngleForOrientation(temp0) :
      op->vtkHeatmapItem::GetTextAngleForOrientation(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SetPosition_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  float temp0;
  float temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0, temp1);
      }
    else
      {
      op->vtkHeatmapItem::SetPosition(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkHeatmapItem_SetPosition_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  float temp0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetPosition(temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetPosition(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkHeatmapItem_SetPosition_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  vtkVector2f *temp0 = NULL;
  PyObject *pobj0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkVector2f"))
    {
    if (ap.IsBound())
      {
      op->SetPosition(*temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetPosition(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  Py_XDECREF(pobj0);

  return result;
}

static PyMethodDef PyvtkHeatmapItem_SetPosition_Methods[] = {
  {NULL, PyvtkHeatmapItem_SetPosition_s2, METH_VARARGS,
   (char*)"@O *f"},
  {NULL, PyvtkHeatmapItem_SetPosition_s3, METH_VARARGS,
   (char*)"@O &vtkVector2f"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkHeatmapItem_SetPosition(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkHeatmapItem_SetPosition_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return PyvtkHeatmapItem_SetPosition_s1(self, args);
    case 1:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetPosition");
  return NULL;
}



static PyObject *
PyvtkHeatmapItem_GetPosition(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPosition");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float *tempr = (ap.IsBound() ?
      op->GetPosition() :
      op->vtkHeatmapItem::GetPosition());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetPositionVector(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPositionVector");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkVector2f tempr = (ap.IsBound() ?
      op->GetPositionVector() :
      op->vtkHeatmapItem::GetPositionVector());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVector2f");
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetCellHeight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellHeight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetCellHeight() :
      op->vtkHeatmapItem::GetCellHeight());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SetCellHeight(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCellHeight");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCellHeight(temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetCellHeight(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetCellWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetCellWidth() :
      op->vtkHeatmapItem::GetCellWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_SetCellWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCellWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCellWidth(temp0);
      }
    else
      {
      op->vtkHeatmapItem::SetCellWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  double temp0[4];
  double save0[4];
  const int size0 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkHeatmapItem::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_MarkRowAsBlank(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MarkRowAsBlank");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  std::string temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->MarkRowAsBlank(temp0);
      }
    else
      {
      op->vtkHeatmapItem::MarkRowAsBlank(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_Paint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Paint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  vtkContext2D *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkContext2D"))
    {
    bool tempr = (ap.IsBound() ?
      op->Paint(temp0) :
      op->vtkHeatmapItem::Paint(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetRowLabelWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRowLabelWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetRowLabelWidth() :
      op->vtkHeatmapItem::GetRowLabelWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkHeatmapItem_GetColumnLabelWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnLabelWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkHeatmapItem *op = static_cast<vtkHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetColumnLabelWidth() :
      op->vtkHeatmapItem::GetColumnLabelWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkHeatmapItem_Methods[] = {
  {(char*)"GetClassName", PyvtkHeatmapItem_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkHeatmapItem_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkHeatmapItem_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkHeatmapItem\nC++: vtkHeatmapItem *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkHeatmapItem_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHeatmapItem\nC++: vtkHeatmapItem *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetTable", PyvtkHeatmapItem_SetTable, METH_VARARGS,
   (char*)"V.SetTable(vtkTable)\nC++: virtual void SetTable(vtkTable *table)\n\nSet the table that this item draws.  The first column of the\ntable must contain the names of the rows.\n"},
  {(char*)"GetTable", PyvtkHeatmapItem_GetTable, METH_VARARGS,
   (char*)"V.GetTable() -> vtkTable\nC++: vtkTable *GetTable()\n\nGet the table that this item draws.\n"},
  {(char*)"SetOrientation", PyvtkHeatmapItem_SetOrientation, METH_VARARGS,
   (char*)"V.SetOrientation(int)\nC++: void SetOrientation(int orientation)\n\nSet which way the table should face within the visualization.\n"},
  {(char*)"GetOrientation", PyvtkHeatmapItem_GetOrientation, METH_VARARGS,
   (char*)"V.GetOrientation() -> int\nC++: int GetOrientation()\n\nGet the current heatmap orientation.\n"},
  {(char*)"GetTextAngleForOrientation", PyvtkHeatmapItem_GetTextAngleForOrientation, METH_VARARGS,
   (char*)"V.GetTextAngleForOrientation(int) -> float\nC++: double GetTextAngleForOrientation(int orientation)\n\nGet the angle that row labels should be rotated for the\ncorreponding heatmap orientation.  For the default orientation\n(LEFT_TO_RIGHT), this is 0 degrees.\n"},
  {(char*)"SetPosition", PyvtkHeatmapItem_SetPosition, METH_VARARGS,
   (char*)"V.SetPosition(float, float)\nC++: void SetPosition(float, float)\nV.SetPosition((float, float))\nC++: void SetPosition(float a[2])\nV.SetPosition(vtkVector2f)\nC++: void SetPosition(const vtkVector2f &pos)\n\n"},
  {(char*)"GetPosition", PyvtkHeatmapItem_GetPosition, METH_VARARGS,
   (char*)"V.GetPosition() -> (float, float)\nC++: float *GetPosition()\n\n"},
  {(char*)"GetPositionVector", PyvtkHeatmapItem_GetPositionVector, METH_VARARGS,
   (char*)"V.GetPositionVector() -> vtkVector2f\nC++: vtkVector2f GetPositionVector()\n\nGet position of the heatmap.\n"},
  {(char*)"GetCellHeight", PyvtkHeatmapItem_GetCellHeight, METH_VARARGS,
   (char*)"V.GetCellHeight() -> float\nC++: double GetCellHeight()\n\nGet/Set the height of the cells in our heatmap. Default is 18\npixels.\n"},
  {(char*)"SetCellHeight", PyvtkHeatmapItem_SetCellHeight, METH_VARARGS,
   (char*)"V.SetCellHeight(float)\nC++: void SetCellHeight(double a)\n\nGet/Set the height of the cells in our heatmap. Default is 18\npixels.\n"},
  {(char*)"GetCellWidth", PyvtkHeatmapItem_GetCellWidth, METH_VARARGS,
   (char*)"V.GetCellWidth() -> float\nC++: double GetCellWidth()\n\nGet/Set the width of the cells in our heatmap. Default is 36\npixels.\n"},
  {(char*)"SetCellWidth", PyvtkHeatmapItem_SetCellWidth, METH_VARARGS,
   (char*)"V.SetCellWidth(float)\nC++: void SetCellWidth(double a)\n\nGet/Set the width of the cells in our heatmap. Default is 36\npixels.\n"},
  {(char*)"GetBounds", PyvtkHeatmapItem_GetBounds, METH_VARARGS,
   (char*)"V.GetBounds([float, float, float, float])\nC++: virtual void GetBounds(double bounds[4])\n\nGet the bounds for this item as (Xmin,Xmax,Ymin,Ymax).\n"},
  {(char*)"MarkRowAsBlank", PyvtkHeatmapItem_MarkRowAsBlank, METH_VARARGS,
   (char*)"V.MarkRowAsBlank(string)\nC++: void MarkRowAsBlank(std::string rowName)\n\nMark a row as blank, meaning that no cells will be drawn for it.\nUsed by vtkTreeHeatmapItem to represent missing data.\n"},
  {(char*)"Paint", PyvtkHeatmapItem_Paint, METH_VARARGS,
   (char*)"V.Paint(vtkContext2D) -> bool\nC++: virtual bool Paint(vtkContext2D *painter)\n\nPaints the table as a heatmap.\n"},
  {(char*)"GetRowLabelWidth", PyvtkHeatmapItem_GetRowLabelWidth, METH_VARARGS,
   (char*)"V.GetRowLabelWidth() -> float\nC++: float GetRowLabelWidth()\n\nGet the width of the largest row or column label drawn by this\nheatmap.\n"},
  {(char*)"GetColumnLabelWidth", PyvtkHeatmapItem_GetColumnLabelWidth, METH_VARARGS,
   (char*)"V.GetColumnLabelWidth() -> float\nC++: float GetColumnLabelWidth()\n\nGet the width of the largest row or column label drawn by this\nheatmap.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkHeatmapItem_StaticNew()
{
  return vtkHeatmapItem::New();
}

PyObject *PyVTKClass_vtkHeatmapItemNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkHeatmapItem_StaticNew,
    PyvtkHeatmapItem_Methods,
    "vtkHeatmapItem", modulename,
    NULL, NULL,
    PyvtkHeatmapItem_Doc(),
    PyVTKClass_vtkContextItemNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"LEFT_TO_RIGHT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"UP_TO_DOWN", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"RIGHT_TO_LEFT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"DOWN_TO_UP", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkHeatmapItem_Doc()
{
  static const char *docstring[] = {
    "vtkHeatmapItem - A 2D graphics item for rendering a heatmap\n\n",
    "Superclass: vtkContextItem\n\n",
    "This item draws a heatmap as a part of a vtkContextScene.\n\n.SEE ALSO vtkTable\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkHeatmapItem(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkHeatmapItemNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkHeatmapItem", o) != 0)
    {
    Py_DECREF(o);
    }

}

