// python wrapper for vtkRCalculatorFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRCalculatorFilter.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkRCalculatorFilter(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkRCalculatorFilterNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataObjectAlgorithmNew
#endif

static const char **PyvtkRCalculatorFilter_Doc();


static PyObject *
PyvtkRCalculatorFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkRCalculatorFilter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRCalculatorFilter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRCalculatorFilter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRCalculatorFilter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkRCalculatorFilter *tempr = vtkRCalculatorFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_PutArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PutArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->PutArray(temp0, temp1);
      }
    else
      {
      op->vtkRCalculatorFilter::PutArray(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->GetArray(temp0, temp1);
      }
    else
      {
      op->vtkRCalculatorFilter::GetArray(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_RemoveAllPutVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllPutVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllPutVariables();
      }
    else
      {
      op->vtkRCalculatorFilter::RemoveAllPutVariables();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_RemoveAllGetVariables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllGetVariables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllGetVariables();
      }
    else
      {
      op->vtkRCalculatorFilter::RemoveAllGetVariables();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_PutTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PutTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->PutTable(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::PutTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->GetTable(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::GetTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_PutTables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PutTables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->PutTables(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::PutTables(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetTables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->GetTables(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::GetTables(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_PutTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PutTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->PutTree(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::PutTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->GetTree(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::GetTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_PutTrees(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PutTrees");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->PutTrees(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::PutTrees(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetTrees(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrees");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->GetTrees(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::GetTrees(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SetRscript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRscript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRscript(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::SetRscript(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetRscript(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRscript");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetRscript() :
      op->vtkRCalculatorFilter::GetRscript());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SetScriptFname(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScriptFname");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScriptFname(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::SetScriptFname(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetScriptFname(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScriptFname");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetScriptFname() :
      op->vtkRCalculatorFilter::GetScriptFname());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SetRoutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRoutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRoutput(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::SetRoutput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetRoutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRoutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetRoutput() :
      op->vtkRCalculatorFilter::GetRoutput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SetTimeOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTimeOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTimeOutput(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::SetTimeOutput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetTimeOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetTimeOutput() :
      op->vtkRCalculatorFilter::GetTimeOutput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_SetBlockInfoOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBlockInfoOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBlockInfoOutput(temp0);
      }
    else
      {
      op->vtkRCalculatorFilter::SetBlockInfoOutput(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRCalculatorFilter_GetBlockInfoOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBlockInfoOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRCalculatorFilter *op = static_cast<vtkRCalculatorFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetBlockInfoOutput() :
      op->vtkRCalculatorFilter::GetBlockInfoOutput());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkRCalculatorFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkRCalculatorFilter_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRCalculatorFilter_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRCalculatorFilter_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkRCalculatorFilter\nC++: vtkRCalculatorFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRCalculatorFilter_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRCalculatorFilter\nC++: vtkRCalculatorFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"PutArray", PyvtkRCalculatorFilter_PutArray, METH_VARARGS,
   (char*)"V.PutArray(string, string)\nC++: void PutArray(const char *NameOfVTKArray,\n    const char *NameOfRvar)\n\nCopies vtkDataArray named NameOfVTKArray to R with variable name\nNameOfRvar.  The array must exist in the input data set.\n\nNote: for vtkArray use \"0\",\"1\",\"2\",... for NameOfVTKArray to\nspecify the index of the vtkArray to pass to R.\n"},
  {(char*)"GetArray", PyvtkRCalculatorFilter_GetArray, METH_VARARGS,
   (char*)"V.GetArray(string, string)\nC++: void GetArray(const char *NameOfVTKArray,\n    const char *NameOfRvar)\n\nCopies R variable NameOfRvar from R to the vtkDataArray named\nNameOfVTKArray.  Will replace existing vtkDataArray with the same\nname.\n\nNote: for vtkArray use any string for NameOfVTKArray.  The array\nwill be appended to the list of vtkArrays on the output.\n"},
  {(char*)"RemoveAllPutVariables", PyvtkRCalculatorFilter_RemoveAllPutVariables, METH_VARARGS,
   (char*)"V.RemoveAllPutVariables()\nC++: void RemoveAllPutVariables()\n\nClears the list of variables to be copied to R.\n"},
  {(char*)"RemoveAllGetVariables", PyvtkRCalculatorFilter_RemoveAllGetVariables, METH_VARARGS,
   (char*)"V.RemoveAllGetVariables()\nC++: void RemoveAllGetVariables()\n\nClears the list of variables to be copied from R.\n"},
  {(char*)"PutTable", PyvtkRCalculatorFilter_PutTable, METH_VARARGS,
   (char*)"V.PutTable(string)\nC++: void PutTable(const char *NameOfRvar)\n\nFor vtkTable input to the filter.  An R list variable is created\nfor the vtkTable input using PutTable().  The output of the\nfilter can be set from a list variable in R using GetTable()\n"},
  {(char*)"GetTable", PyvtkRCalculatorFilter_GetTable, METH_VARARGS,
   (char*)"V.GetTable(string)\nC++: void GetTable(const char *NameOfRvar)\n\nFor vtkTable input to the filter.  An R list variable is created\nfor the vtkTable input using PutTable().  The output of the\nfilter can be set from a list variable in R using GetTable()\n"},
  {(char*)"PutTables", PyvtkRCalculatorFilter_PutTables, METH_VARARGS,
   (char*)"V.PutTables(vtkStringArray)\nC++: void PutTables(vtkStringArray *NamesOfRVars)\n\nFor vtkTable input to the filter. An R list variable is created\nfor each name in the array provided using the vtkTables from the\ninput to the filter.\n"},
  {(char*)"GetTables", PyvtkRCalculatorFilter_GetTables, METH_VARARGS,
   (char*)"V.GetTables(vtkStringArray)\nC++: void GetTables(vtkStringArray *NamesOfRVars)\n\nFor vtkTable output of the filter. If more the one name is\nprovided a composite dataset is created for the output of the\nfilter and a vtkTable is added for each R list variable in the\narray provided.\n"},
  {(char*)"PutTree", PyvtkRCalculatorFilter_PutTree, METH_VARARGS,
   (char*)"V.PutTree(string)\nC++: void PutTree(const char *NameOfRvar)\n\nFor vtkTree input to the filter.  An R phylo tree variable is\ncreated for the vtkTree input using PutTree().  The output of the\nfilter can be set from a phylo tree variable in R using GetTree()\n"},
  {(char*)"GetTree", PyvtkRCalculatorFilter_GetTree, METH_VARARGS,
   (char*)"V.GetTree(string)\nC++: void GetTree(const char *NameOfRvar)\n\nFor vtkTree input to the filter.  An R phylo tree variable is\ncreated for the vtkTree input using PutTree().  The output of the\nfilter can be set from a phylo tree variable in R using GetTree()\n"},
  {(char*)"PutTrees", PyvtkRCalculatorFilter_PutTrees, METH_VARARGS,
   (char*)"V.PutTrees(vtkStringArray)\nC++: void PutTrees(vtkStringArray *NamesOfRvars)\n\nFor vtkTree input to the filter.  An R phylo tree variable is\ncreated for each name in the array provided using the vtkTrees\nfrom the input to the filter.\n"},
  {(char*)"GetTrees", PyvtkRCalculatorFilter_GetTrees, METH_VARARGS,
   (char*)"V.GetTrees(vtkStringArray)\nC++: void GetTrees(vtkStringArray *NamesOfRvars)\n\nFor vtkTree output of the filter. If more than one name is\nprovided a composite dataset is created for the output of the\nfilter and a vtkTree is added for each R phylo tree variable in\nthe array provided.\n"},
  {(char*)"SetRscript", PyvtkRCalculatorFilter_SetRscript, METH_VARARGS,
   (char*)"V.SetRscript(string)\nC++: void SetRscript(char *)\n\nScript executed by R.  Can also be set from a file.\n"},
  {(char*)"GetRscript", PyvtkRCalculatorFilter_GetRscript, METH_VARARGS,
   (char*)"V.GetRscript() -> string\nC++: char *GetRscript()\n\nScript executed by R.  Can also be set from a file.\n"},
  {(char*)"SetScriptFname", PyvtkRCalculatorFilter_SetScriptFname, METH_VARARGS,
   (char*)"V.SetScriptFname(string)\nC++: void SetScriptFname(char *)\n\nProvide the R script executed by R from an input file.\n"},
  {(char*)"GetScriptFname", PyvtkRCalculatorFilter_GetScriptFname, METH_VARARGS,
   (char*)"V.GetScriptFname() -> string\nC++: char *GetScriptFname()\n\nProvide the R script executed by R from an input file.\n"},
  {(char*)"SetRoutput", PyvtkRCalculatorFilter_SetRoutput, METH_VARARGS,
   (char*)"V.SetRoutput(int)\nC++: void SetRoutput(int a)\n\nWrite R output to standard output.\n"},
  {(char*)"GetRoutput", PyvtkRCalculatorFilter_GetRoutput, METH_VARARGS,
   (char*)"V.GetRoutput() -> int\nC++: int GetRoutput()\n\nWrite R output to standard output.\n"},
  {(char*)"SetTimeOutput", PyvtkRCalculatorFilter_SetTimeOutput, METH_VARARGS,
   (char*)"V.SetTimeOutput(int)\nC++: void SetTimeOutput(int a)\n\nPass VTK time information to R. If turned turned on, the filter\nwill create three variables in R. The variables will be update\nautomatically as time changes in the VTK pipeline. VTK_TIME_STEPS\n- array of all available time values. VTK_TIME_RANGE- array of\nminimum and maximum time values. VTK_CURRENT_TIME - floating\npoint time value at the current time index.\n"},
  {(char*)"GetTimeOutput", PyvtkRCalculatorFilter_GetTimeOutput, METH_VARARGS,
   (char*)"V.GetTimeOutput() -> int\nC++: int GetTimeOutput()\n\nPass VTK time information to R. If turned turned on, the filter\nwill create three variables in R. The variables will be update\nautomatically as time changes in the VTK pipeline. VTK_TIME_STEPS\n- array of all available time values. VTK_TIME_RANGE- array of\nminimum and maximum time values. VTK_CURRENT_TIME - floating\npoint time value at the current time index.\n"},
  {(char*)"SetBlockInfoOutput", PyvtkRCalculatorFilter_SetBlockInfoOutput, METH_VARARGS,
   (char*)"V.SetBlockInfoOutput(int)\nC++: void SetBlockInfoOutput(int a)\n\nCreate VTK_BLOCK_ID variable in R when processing composite data\nsets.\n"},
  {(char*)"GetBlockInfoOutput", PyvtkRCalculatorFilter_GetBlockInfoOutput, METH_VARARGS,
   (char*)"V.GetBlockInfoOutput() -> int\nC++: int GetBlockInfoOutput()\n\nCreate VTK_BLOCK_ID variable in R when processing composite data\nsets.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRCalculatorFilter_StaticNew()
{
  return vtkRCalculatorFilter::New();
}

PyObject *PyVTKClass_vtkRCalculatorFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRCalculatorFilter_StaticNew,
    PyvtkRCalculatorFilter_Methods,
    "vtkRCalculatorFilter", modulename,
    NULL, NULL,
    PyvtkRCalculatorFilter_Doc(),
    PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkRCalculatorFilter_Doc()
{
  static const char *docstring[] = {
    "vtkRCalculatorFilter\n\n",
    "Superclass: vtkDataObjectAlgorithm\n\n",
    "This class functions as an array calculator for vtkDataArrays and\nVTKarray objects, using GNU R as the calculation engine.\n\nSee Also:\n\n\n vtkRInterface vtkRadapter\n\nThanks:\n\n\n Developed by Thomas Otahal at Sandia National Laboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRCalculatorFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRCalculatorFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRCalculatorFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

