// python wrapper for vtkSMPContourGrid
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPContourGrid.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkSMPContourGrid(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkSMPContourGridNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContourGridNew
extern "C" { PyObject *PyVTKClass_vtkContourGridNew(const char *); }
#define DECLARED_PyVTKClass_vtkContourGridNew
#endif

static const char **PyvtkSMPContourGrid_Doc();


static PyObject *
PyvtkSMPContourGrid_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkSMPContourGrid::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkSMPContourGrid::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkSMPContourGrid *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkSMPContourGrid::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkSMPContourGrid *tempr = vtkSMPContourGrid::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_SetMergePieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMergePieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMergePieces(temp0);
      }
    else
      {
      op->vtkSMPContourGrid::SetMergePieces(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_GetMergePieces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMergePieces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetMergePieces() :
      op->vtkSMPContourGrid::GetMergePieces());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_MergePiecesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MergePiecesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MergePiecesOn();
      }
    else
      {
      op->vtkSMPContourGrid::MergePiecesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSMPContourGrid_MergePiecesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MergePiecesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPContourGrid *op = static_cast<vtkSMPContourGrid *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MergePiecesOff();
      }
    else
      {
      op->vtkSMPContourGrid::MergePiecesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPContourGrid_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPContourGrid_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPContourGrid_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPContourGrid_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkSMPContourGrid\nC++: vtkSMPContourGrid *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPContourGrid_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPContourGrid\nC++: vtkSMPContourGrid *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetMergePieces", PyvtkSMPContourGrid_SetMergePieces, METH_VARARGS,
   (char*)"V.SetMergePieces(bool)\nC++: void SetMergePieces(bool a)\n\nIf MergePieces is true (default), this filter will merge all\npieces generated by processing the input with multiple threads.\nThe output will be a vtkPolyData. Note that this has a slight\noverhead which becomes more significant as the number of threads\nused grows. If MergePieces is false, this filter will generate a\nvtkMultiBlock of vtkPolyData where the number of pieces will be\nequal to the number of threads used.\n"},
  {(char*)"GetMergePieces", PyvtkSMPContourGrid_GetMergePieces, METH_VARARGS,
   (char*)"V.GetMergePieces() -> bool\nC++: bool GetMergePieces()\n\nIf MergePieces is true (default), this filter will merge all\npieces generated by processing the input with multiple threads.\nThe output will be a vtkPolyData. Note that this has a slight\noverhead which becomes more significant as the number of threads\nused grows. If MergePieces is false, this filter will generate a\nvtkMultiBlock of vtkPolyData where the number of pieces will be\nequal to the number of threads used.\n"},
  {(char*)"MergePiecesOn", PyvtkSMPContourGrid_MergePiecesOn, METH_VARARGS,
   (char*)"V.MergePiecesOn()\nC++: void MergePiecesOn()\n\nIf MergePieces is true (default), this filter will merge all\npieces generated by processing the input with multiple threads.\nThe output will be a vtkPolyData. Note that this has a slight\noverhead which becomes more significant as the number of threads\nused grows. If MergePieces is false, this filter will generate a\nvtkMultiBlock of vtkPolyData where the number of pieces will be\nequal to the number of threads used.\n"},
  {(char*)"MergePiecesOff", PyvtkSMPContourGrid_MergePiecesOff, METH_VARARGS,
   (char*)"V.MergePiecesOff()\nC++: void MergePiecesOff()\n\nIf MergePieces is true (default), this filter will merge all\npieces generated by processing the input with multiple threads.\nThe output will be a vtkPolyData. Note that this has a slight\noverhead which becomes more significant as the number of threads\nused grows. If MergePieces is false, this filter will generate a\nvtkMultiBlock of vtkPolyData where the number of pieces will be\nequal to the number of threads used.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPContourGrid_StaticNew()
{
  return vtkSMPContourGrid::New();
}

PyObject *PyVTKClass_vtkSMPContourGridNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPContourGrid_StaticNew,
    PyvtkSMPContourGrid_Methods,
    "vtkSMPContourGrid", modulename,
    NULL, NULL,
    PyvtkSMPContourGrid_Doc(),
    PyVTKClass_vtkContourGridNew(modulename));
  return cls;
}

const char **PyvtkSMPContourGrid_Doc()
{
  static const char *docstring[] = {
    "vtkSMPContourGrid - a subclass of vtkContourGrid that works in\nparallel\n\n",
    "Superclass: vtkContourGrid\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPContourGrid(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPContourGridNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPContourGrid", o) != 0)
    {
    Py_DECREF(o);
    }

}

