// python wrapper for vtkSMPWarpVector
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSMPWarpVector.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkSMPWarpVector(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkSMPWarpVectorNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkWarpVectorNew
extern "C" { PyObject *PyVTKClass_vtkWarpVectorNew(const char *); }
#define DECLARED_PyVTKClass_vtkWarpVectorNew
#endif

static const char **PyvtkSMPWarpVector_Doc();


static PyObject *
PyvtkSMPWarpVector_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPWarpVector *op = static_cast<vtkSMPWarpVector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkSMPWarpVector::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPWarpVector_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPWarpVector *op = static_cast<vtkSMPWarpVector *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkSMPWarpVector::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSMPWarpVector_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSMPWarpVector *op = static_cast<vtkSMPWarpVector *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkSMPWarpVector *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkSMPWarpVector::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSMPWarpVector_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkSMPWarpVector *tempr = vtkSMPWarpVector::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkSMPWarpVector_Methods[] = {
  {(char*)"GetClassName", PyvtkSMPWarpVector_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSMPWarpVector_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSMPWarpVector_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkSMPWarpVector\nC++: vtkSMPWarpVector *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSMPWarpVector_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSMPWarpVector\nC++: vtkSMPWarpVector *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSMPWarpVector_StaticNew()
{
  return vtkSMPWarpVector::New();
}

PyObject *PyVTKClass_vtkSMPWarpVectorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSMPWarpVector_StaticNew,
    PyvtkSMPWarpVector_Methods,
    "vtkSMPWarpVector", modulename,
    NULL, NULL,
    PyvtkSMPWarpVector_Doc(),
    PyVTKClass_vtkWarpVectorNew(modulename));
  return cls;
}

const char **PyvtkSMPWarpVector_Doc()
{
  static const char *docstring[] = {
    "vtkSMPWarpVector - multithreaded vtkWarpVector\n\n",
    "Superclass: vtkWarpVector\n\n",
    "Just like parent, but uses the SMP framework to do the work on many\nthreads.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSMPWarpVector(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSMPWarpVectorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSMPWarpVector", o) != 0)
    {
    Py_DECREF(o);
    }

}

