// python wrapper for vtkThreadedCompositeDataPipeline
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkThreadedCompositeDataPipeline.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkThreadedCompositeDataPipeline(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkThreadedCompositeDataPipelineNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(const char *); }
#define DECLARED_PyVTKClass_vtkCompositeDataPipelineNew
#endif

static const char **PyvtkThreadedCompositeDataPipeline_Doc();


static PyObject *
PyvtkThreadedCompositeDataPipeline_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkThreadedCompositeDataPipeline *op = static_cast<vtkThreadedCompositeDataPipeline *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkThreadedCompositeDataPipeline::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkThreadedCompositeDataPipeline_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkThreadedCompositeDataPipeline *op = static_cast<vtkThreadedCompositeDataPipeline *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkThreadedCompositeDataPipeline::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkThreadedCompositeDataPipeline_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkThreadedCompositeDataPipeline *op = static_cast<vtkThreadedCompositeDataPipeline *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkThreadedCompositeDataPipeline *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkThreadedCompositeDataPipeline::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkThreadedCompositeDataPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkThreadedCompositeDataPipeline *tempr = vtkThreadedCompositeDataPipeline::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkThreadedCompositeDataPipeline_Methods[] = {
  {(char*)"GetClassName", PyvtkThreadedCompositeDataPipeline_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkThreadedCompositeDataPipeline_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkThreadedCompositeDataPipeline_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkThreadedCompositeDataPipeline\nC++: vtkThreadedCompositeDataPipeline *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkThreadedCompositeDataPipeline_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThreadedCompositeDataPipeline\nC++: vtkThreadedCompositeDataPipeline *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkThreadedCompositeDataPipeline_StaticNew()
{
  return vtkThreadedCompositeDataPipeline::New();
}

PyObject *PyVTKClass_vtkThreadedCompositeDataPipelineNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkThreadedCompositeDataPipeline_StaticNew,
    PyvtkThreadedCompositeDataPipeline_Methods,
    "vtkThreadedCompositeDataPipeline", modulename,
    NULL, NULL,
    PyvtkThreadedCompositeDataPipeline_Doc(),
    PyVTKClass_vtkCompositeDataPipelineNew(modulename));
  return cls;
}

const char **PyvtkThreadedCompositeDataPipeline_Doc()
{
  static const char *docstring[] = {
    "vtkThreadedCompositeDataPipeline - Executive that works in parallel\n\n",
    "Superclass: vtkCompositeDataPipeline\n\n",
    "vtkThreadedCompositeDataPipeline processes a composite data object in\nparallel using the SMP framework. It does this by creating a vector\nof data objects (the pieces of the composite data) and processing\nthem using vtkSMPTools::For. Note that this requires that the\nalgorithm implement all pipeline passes in a re-entrant way. It\nshould store/retrieve all state changes using input and output\ninforma",
    "tion objects, which are unique to each thread.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkThreadedCompositeDataPipeline(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkThreadedCompositeDataPipelineNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkThreadedCompositeDataPipeline", o) != 0)
    {
    Py_DECREF(o);
    }

}

