// python wrapper for vtkTreeHeatmapItem
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTreeHeatmapItem.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkTreeHeatmapItem(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkTreeHeatmapItemNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkContextItemNew
extern "C" { PyObject *PyVTKClass_vtkContextItemNew(const char *); }
#define DECLARED_PyVTKClass_vtkContextItemNew
#endif

static const char **PyvtkTreeHeatmapItem_Doc();


static PyObject *
PyvtkTreeHeatmapItem_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTreeHeatmapItem::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTreeHeatmapItem::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTreeHeatmapItem *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTreeHeatmapItem::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTreeHeatmapItem *tempr = vtkTreeHeatmapItem::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  vtkTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTree"))
    {
    if (ap.IsBound())
      {
      op->SetTree(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetTree() :
      op->vtkTreeHeatmapItem::GetTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetColumnTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColumnTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  vtkTree *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTree"))
    {
    if (ap.IsBound())
      {
      op->SetColumnTree(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetColumnTree(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetColumnTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetColumnTree() :
      op->vtkTreeHeatmapItem::GetColumnTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  vtkTable *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTable"))
    {
    if (ap.IsBound())
      {
      op->SetTable(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTable *tempr = (ap.IsBound() ?
      op->GetTable() :
      op->vtkTreeHeatmapItem::GetTable());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_ReorderTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReorderTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReorderTable();
      }
    else
      {
      op->vtkTreeHeatmapItem::ReorderTable();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_ReverseTableRows(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReverseTableRows");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReverseTableRows();
      }
    else
      {
      op->vtkTreeHeatmapItem::ReverseTableRows();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_ReverseTableColumns(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ReverseTableColumns");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ReverseTableColumns();
      }
    else
      {
      op->vtkTreeHeatmapItem::ReverseTableColumns();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOrientation(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetOrientation(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetOrientation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOrientation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetOrientation() :
      op->vtkTreeHeatmapItem::GetOrientation());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetBounds(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  double temp0[4];
  double save0[4];
  const int size0 = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetBounds(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::GetBounds(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetCenter(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCenter");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetCenter(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::GetCenter(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  double temp0[2];
  double save0[2];
  const int size0 = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    ap.SaveArray(temp0, save0, size0);

    if (ap.IsBound())
      {
      op->GetSize(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::GetSize(temp0);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_CollapseToNumberOfLeafNodes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CollapseToNumberOfLeafNodes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->CollapseToNumberOfLeafNodes(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::CollapseToNumberOfLeafNodes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetTreeLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTreeLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    float tempr = (ap.IsBound() ?
      op->GetTreeLineWidth() :
      op->vtkTreeHeatmapItem::GetTreeLineWidth());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetTreeLineWidth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTreeLineWidth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  float temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTreeLineWidth(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetTreeLineWidth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_GetPrunedTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPrunedTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetPrunedTree() :
      op->vtkTreeHeatmapItem::GetPrunedTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTreeHeatmapItem_SetTreeColorArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTreeColorArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTreeHeatmapItem *op = static_cast<vtkTreeHeatmapItem *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTreeColorArray(temp0);
      }
    else
      {
      op->vtkTreeHeatmapItem::SetTreeColorArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTreeHeatmapItem_Methods[] = {
  {(char*)"GetClassName", PyvtkTreeHeatmapItem_GetClassName, METH_VARARGS,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTreeHeatmapItem_IsA, METH_VARARGS,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTreeHeatmapItem_NewInstance, METH_VARARGS,
   (char*)"V.NewInstance() -> vtkTreeHeatmapItem\nC++: vtkTreeHeatmapItem *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTreeHeatmapItem_SafeDownCast, METH_VARARGS | METH_STATIC,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTreeHeatmapItem\nC++: vtkTreeHeatmapItem *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetTree", PyvtkTreeHeatmapItem_SetTree, METH_VARARGS,
   (char*)"V.SetTree(vtkTree)\nC++: virtual void SetTree(vtkTree *tree)\n\nSet the tree that this item draws.  Note that this tree's vertex\ndata must contain a vtkStringArray called \"node name\". \nAdditionally, this array must contain the same values as the\nfirst column of the input table.  See SetTable for more\ninformation.  The vtkNewickTreeReader automatically creates this\nrequired array for you.\n"},
  {(char*)"GetTree", PyvtkTreeHeatmapItem_GetTree, METH_VARARGS,
   (char*)"V.GetTree() -> vtkTree\nC++: vtkTree *GetTree()\n\nGet the tree that this item draws.\n"},
  {(char*)"SetColumnTree", PyvtkTreeHeatmapItem_SetColumnTree, METH_VARARGS,
   (char*)"V.SetColumnTree(vtkTree)\nC++: virtual void SetColumnTree(vtkTree *tree)\n\nSet a tree to be drawn for the columns of the heatmap.  This\ntree's vertex data must contain a vtkStringArray called \"node\nname\" that corresponds to the names of the columns in the\nheatmap.\n"},
  {(char*)"GetColumnTree", PyvtkTreeHeatmapItem_GetColumnTree, METH_VARARGS,
   (char*)"V.GetColumnTree() -> vtkTree\nC++: vtkTree *GetColumnTree()\n\nGet the tree that represents the columns of the heatmap (if one\nhas been set).\n"},
  {(char*)"SetTable", PyvtkTreeHeatmapItem_SetTable, METH_VARARGS,
   (char*)"V.SetTable(vtkTable)\nC++: virtual void SetTable(vtkTable *table)\n\nSet the table that this item draws.  The first column of the\ntable must contain the names of the rows.  These names, in turn,\nmust correspond with the nodes names in the input tree.  See\nSetTree for more information.\n"},
  {(char*)"GetTable", PyvtkTreeHeatmapItem_GetTable, METH_VARARGS,
   (char*)"V.GetTable() -> vtkTable\nC++: vtkTable *GetTable()\n\nGet the table that this item draws.\n"},
  {(char*)"ReorderTable", PyvtkTreeHeatmapItem_ReorderTable, METH_VARARGS,
   (char*)"V.ReorderTable()\nC++: void ReorderTable()\n\nReorder the rows in the table so they match the order of the leaf\nnodes in our tree.\n"},
  {(char*)"ReverseTableRows", PyvtkTreeHeatmapItem_ReverseTableRows, METH_VARARGS,
   (char*)"V.ReverseTableRows()\nC++: void ReverseTableRows()\n\nReverse the order of the rows in our input table.  This is used\nto simplify the table layout for DOWN_TO_UP and RIGHT_TO_LEFT\norientations.\n"},
  {(char*)"ReverseTableColumns", PyvtkTreeHeatmapItem_ReverseTableColumns, METH_VARARGS,
   (char*)"V.ReverseTableColumns()\nC++: void ReverseTableColumns()\n\nReverse the order of the rows in our input table.  This is used\nto simplify the table layout for DOWN_TO_UP and UP_TO_DOWN\norientations.\n"},
  {(char*)"SetOrientation", PyvtkTreeHeatmapItem_SetOrientation, METH_VARARGS,
   (char*)"V.SetOrientation(int)\nC++: void SetOrientation(int orientation)\n\nSet which way the tree / heatmap should face within the\nvisualization. The default is for both components to be drawn\nleft to right.\n"},
  {(char*)"GetOrientation", PyvtkTreeHeatmapItem_GetOrientation, METH_VARARGS,
   (char*)"V.GetOrientation() -> int\nC++: int GetOrientation()\n\nGet the current orientation.\n"},
  {(char*)"GetBounds", PyvtkTreeHeatmapItem_GetBounds, METH_VARARGS,
   (char*)"V.GetBounds([float, float, float, float])\nC++: void GetBounds(double bounds[4])\n\nGet the bounds of this item (xMin, xMax, yMin, Max) in pixel\ncoordinates.\n"},
  {(char*)"GetCenter", PyvtkTreeHeatmapItem_GetCenter, METH_VARARGS,
   (char*)"V.GetCenter([float, float])\nC++: void GetCenter(double center[2])\n\nGet the center point of this item in pixel coordinates.\n"},
  {(char*)"GetSize", PyvtkTreeHeatmapItem_GetSize, METH_VARARGS,
   (char*)"V.GetSize([float, float])\nC++: void GetSize(double size[2])\n\nGet the size of this item in pixel coordinates.\n"},
  {(char*)"CollapseToNumberOfLeafNodes", PyvtkTreeHeatmapItem_CollapseToNumberOfLeafNodes, METH_VARARGS,
   (char*)"V.CollapseToNumberOfLeafNodes(int)\nC++: void CollapseToNumberOfLeafNodes(unsigned int n)\n\nCollapse subtrees until there are only n leaf nodes left in the\ntree. The leaf nodes that remain are those that are closest to\nthe root. Any subtrees that were collapsed prior to this function\nbeing called may be re-expanded.  Use this function instead of\nthis->GetDendrogram->CollapseToNumberOfLeafNodes(), as this\nfunction also handles the hiding of heatmap rows that correspond\nto newly collapsed subtrees.\n"},
  {(char*)"GetTreeLineWidth", PyvtkTreeHeatmapItem_GetTreeLineWidth, METH_VARARGS,
   (char*)"V.GetTreeLineWidth() -> float\nC++: float GetTreeLineWidth()\n\nGet/Set how wide the edges of the trees should be.  Default is\none pixel.\n"},
  {(char*)"SetTreeLineWidth", PyvtkTreeHeatmapItem_SetTreeLineWidth, METH_VARARGS,
   (char*)"V.SetTreeLineWidth(float)\nC++: void SetTreeLineWidth(float width)\n\nGet/Set how wide the edges of the trees should be.  Default is\none pixel.\n"},
  {(char*)"GetPrunedTree", PyvtkTreeHeatmapItem_GetPrunedTree, METH_VARARGS,
   (char*)"V.GetPrunedTree() -> vtkTree\nC++: vtkTree *GetPrunedTree()\n\nDeprecated.  Use this->GetDendrogram()->GetPrunedTree() instead.\n"},
  {(char*)"SetTreeColorArray", PyvtkTreeHeatmapItem_SetTreeColorArray, METH_VARARGS,
   (char*)"V.SetTreeColorArray(string)\nC++: void SetTreeColorArray(const char *arrayName)\n\nDeprecated.  Use this->GetDendrogram()->SetColorArray(const char\n*arrayName) instead.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTreeHeatmapItem_StaticNew()
{
  return vtkTreeHeatmapItem::New();
}

PyObject *PyVTKClass_vtkTreeHeatmapItemNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTreeHeatmapItem_StaticNew,
    PyvtkTreeHeatmapItem_Methods,
    "vtkTreeHeatmapItem", modulename,
    NULL, NULL,
    PyvtkTreeHeatmapItem_Doc(),
    PyVTKClass_vtkContextItemNew(modulename));
  return cls;
}

const char **PyvtkTreeHeatmapItem_Doc()
{
  static const char *docstring[] = {
    "vtkTreeHeatmapItem - A 2D graphics item for rendering a tree and\n\n",
    "Superclass: vtkContextItem\n\n",
    "This item draws a tree and a heatmap as a part of a vtkContextScene.\nThe input tree's vertex data must contain at least two arrays. The\nfirst required array is a vtkStringArray called \"node name\". This\narray corresponds to the first column of the input table. The second\nrequired array is a scalar array called \"node weight\". This array is\nused by vtkTreeLayoutStrategy to set any particular node's d",
    "istance\nfrom the root of the tree.\n\nThe vtkNewickTreeReader automatically initializes both of these\nrequired arrays in its output tree.\n\n.SEE ALSO vtkDendrogramItem vtkHeatmapItem vtkTree vtkTable\nvtkNewickTreeReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTreeHeatmapItem(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTreeHeatmapItemNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTreeHeatmapItem", o) != 0)
    {
    Py_DECREF(o);
    }

}

